/*
 *
 * ResourcesPage constants
 *
 */

export const FETCH_ROOM_REQUEST = 'app/RESOURCES_PAGE/FETCH_ROOM_REQUEST';
export const FETCH_ROOM_SUCCESS = 'app/RESOURCES_PAGE/FETCH_ROOM_SUCCESS';
export const FETCH_ROOM_FAILURE = 'app/RESOURCES_PAGE/FETCH_ROOM_FAILURE';

export const FETCH_ROOM_LIST_REQUEST = 'app/RESOURCES_PAGE/FETCH_ROOM_LIST_REQUEST';
export const FETCH_ROOM_LIST_SUCCESS = 'app/RESOURCES_PAGE/FETCH_ROOM_LIST_SUCCESS';
export const FETCH_ROOM_LIST_FAILURE = 'app/RESOURCES_PAGE/FETCH_ROOM_LIST_FAILURE';

export const CREATE_ROOM_REQUEST = 'app/RESOURCES_PAGE/CREATE_ROOM_REQUEST';
export const CREATE_ROOM_SUCCESS = 'app/RESOURCES_PAGE/CREATE_ROOM_SUCCESS';
export const CREATE_ROOM_FAILURE = 'app/RESOURCES_PAGE/CREATE_ROOM_FAILURE';

export const UPDATE_ROOM_REQUEST = 'app/RESOURCES_PAGE/UPDATE_ROOM_REQUEST';
export const UPDATE_ROOM_SUCCESS = 'app/RESOURCES_PAGE/UPDATE_ROOM_SUCCESS';
export const UPDATE_ROOM_FAILURE = 'app/RESOURCES_PAGE/UPDATE_ROOM_FAILURE';

export const DELETE_ROOM_REQUEST = 'app/RESOURCES_PAGE/DELETE_ROOM_REQUEST';
export const DELETE_ROOM_SUCCESS = 'app/RESOURCES_PAGE/DELETE_ROOM_SUCCESS';
export const DELETE_ROOM_FAILURE = 'app/RESOURCES_PAGE/DELETE_ROOM_FAILURE';


export const FETCH_EQUIPMENT_REQUEST = 'app/RESOURCES_PAGE/FETCH_EQUIPMENT_REQUEST';
export const FETCH_EQUIPMENT_SUCCESS = 'app/RESOURCES_PAGE/FETCH_EQUIPMENT_SUCCESS';
export const FETCH_EQUIPMENT_FAILURE = 'app/RESOURCES_PAGE/FETCH_EQUIPMENT_FAILURE';

export const FETCH_EQUIPMENT_LIST_REQUEST = 'app/RESOURCES_PAGE/FETCH_EQUIPMENT_LIST_REQUEST';
export const FETCH_EQUIPMENT_LIST_SUCCESS = 'app/RESOURCES_PAGE/FETCH_EQUIPMENT_LIST_SUCCESS';
export const FETCH_EQUIPMENT_LIST_FAILURE = 'app/RESOURCES_PAGE/FETCH_EQUIPMENT_LIST_FAILURE';

export const CREATE_EQUIPMENT_REQUEST = 'app/RESOURCES_PAGE/CREATE_EQUIPMENT_REQUEST';
export const CREATE_EQUIPMENT_SUCCESS = 'app/RESOURCES_PAGE/CREATE_EQUIPMENT_SUCCESS';
export const CREATE_EQUIPMENT_FAILURE = 'app/RESOURCES_PAGE/CREATE_EQUIPMENT_FAILURE';

export const UPDATE_EQUIPMENT_REQUEST = 'app/RESOURCES_PAGE/UPDATE_EQUIPMENT_REQUEST';
export const UPDATE_EQUIPMENT_SUCCESS = 'app/RESOURCES_PAGE/UPDATE_EQUIPMENT_SUCCESS';
export const UPDATE_EQUIPMENT_FAILURE = 'app/RESOURCES_PAGE/UPDATE_EQUIPMENT_FAILURE';

export const DELETE_EQUIPMENT_REQUEST = 'app/RESOURCES_PAGE/DELETE_EQUIPMENT_REQUEST';
export const DELETE_EQUIPMENT_SUCCESS = 'app/RESOURCES_PAGE/DELETE_EQUIPMENT_SUCCESS';
export const DELETE_EQUIPMENT_FAILURE = 'app/RESOURCES_PAGE/DELETE_EQUIPMENT_FAILURE';


export const FETCH_SERVICE_LIST_REQUEST = 'app/RESOURCES_PAGE/FETCH_SERVICE_LIST_REQUEST';
export const FETCH_SERVICE_LIST_SUCCESS = 'app/RESOURCES_PAGE/FETCH_SERVICE_LIST_SUCCESS';
export const FETCH_SERVICE_LIST_FAILURE = 'app/RESOURCES_PAGE/FETCH_SERVICE_LIST_FAILURE';


export const SORT_ROOM_LIST = 'app/RESOURCES_PAGE/SORT_ROOM_LIST';

export const SET_ALL_SERVICES_VALUE = 'app/RESOURCES_PAGE/SET_ALL_SERVICES_VALUE';
export const SET_SERVICE_CATEGORY_VALUE = 'app/RESOURCES_PAGE/SET_SERVICE_CATEGORY_VALUE';
export const SET_SERVICE_VALUE = 'app/RESOURCES_PAGE/SET_SERVICE_VALUE';
